# 구글 애드몹

### 1 : Custom Event 클래스 추가

* [AdPieBannerLoader.java](https://github.com/gomfactory/AdPie-Android-SDK/blob/master/AdPieSample/app/src/main/java/com/google/ads/mediation/adpie/AdPieBannerLoader.java) : 애드파이 호출을 위한 띠배너용 클래스
* [AdPieInterstitialLoader.java](https://github.com/gomfactory/AdPie-Android-SDK/blob/master/AdPieSample/app/src/main/java/com/google/ads/mediation/adpie/AdPieInterstitialLoader.java) : 애드파이 호출을 위한 전면배너용 클래스
* [AdPieRewardedAdLoader.java](https://github.com/gomfactory/AdPie-Android-SDK/blob/master/AdPieSample/app/src/main/java/com/google/ads/mediation/adpie/AdPieRewardedAdLoader.java) : 애드파이 호출을 위한 리워드 비디오용 클래스
* [AdPieMediationAdapter.java](https://github.com/gomfactory/AdPie-Android-SDK/blob/master/AdPieSample/app/src/main/java/com/google/ads/mediation/adpie/AdPieMediationAdapter.java) : 구글 미디에이션을 위한 CustomEvent 클래스
* 위의 4개의 클래스는 `com.google.ads.mediation.adpie` 패키지에 위치하고 있으며, 개발중인 앱 프로젝트에 복사를 진행합니다.

### 2 : 미디에이션 등록(Custom Event)

* 아래의 절차대로 진행을 해야 하며, 자세한 사항은 [Custom Event](https://support.google.com/admob/answer/3083407?ctx=tltp\&hl=ko) 를 확인합니다.
* 1\) [애드몹](https://apps.admob.com) 사이트 통해 로그인을 합니다.
* 2\) 사이드바에서 **미디에이션**을 클릭합니다.
* 3\) 미디에이션 그룹의 이름을 클릭합니다.
* 4\) 폭포식 구조 광고 소스 표의 **맞춤 이벤트** 추가를 클릭합니다.
* 5\) 이벤트를 설명하는 라벨을 입력합니다.
* 6\) 이 맞춤 이벤트에 사용할 수동 eCPM을 입력합니다.
* **7) 계속**을 클릭합니다.
* 8\) 각 광고 단위의 **클래스 이름(필수)** 및 **매개변수(선택사항)** 를 입력합니다.

> Class Name 정보에는 패키지명을 포함하여 `com.google.ads.mediation.adpie.AdPieMediationAdapter` 와 같이 클래스 명을 입력합니다.

> Parameter(선택사항) 정보에는 AdPie에서 발급받은 **Media ID**와 **Slot ID**를 `{"app_id":"Insert_Media_ID", "slot_id":"Insert_Slot_ID"}` 형식으로 입력합니다.

![Custom Event](https://github.com/gomfactory/AdPie-Android-SDK/wiki/image/android_sdk_admob_customevent2.png)

* 9\) **완료** 버튼을 클릭합니다.
* **10) 저장** 버튼을 클릭합니다.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://platform-business.gitbook.io/adpie/android/mediation/admob.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
